## voyage-util 0.17

=== Makefile ===
# Makefile

install:
	# Installing main scripts
#	install -m 755 ./*.sh ${DESTDIR}/usr/local/sbin
	install -m 755 ./*.shrc ${DESTDIR}/usr/local/sbin

	install -m 755 voyage.update ${DESTDIR}/usr/local/sbin

#	install -d -m 755 $(DESTDIR)/etc/voyage-profiles
#	install -m 644 voyage-profiles/* $(DESTDIR)/etc/voyage-profiles

	cp -r overlay_fs/* $(DESTDIR)/ 

	find $(DESTDIR) -name ".svn" -exec rm -rf '{}' '+'
	find $(DESTDIR) -name "*.bak" -exec rm -rf '{}' '+'
	
#####################################
# unused
	# Installing sub scripts
	#install -d -m 755 $(DESTDIR)/usr/share/make-live/scripts
	#install -m 755 scripts/* $(DESTDIR)/usr/share/make-live/scripts

	# Installing manpage
	#install -D -m 644 make-live.8 $(DESTDIR)/usr/share/man/man8/make-live.8

	# Installing configuration file
	#install -D -m 644 make-live.default $(DESTDIR)/etc/default/make-live

=== debian/changelog ===
voyage-util (0.17) UNRELEASED; urgency=medium

  * voyage-utils: change motd version to 0.11.0
  * voyage-utils: add APU2 profile
  * voyage-utils: format-cf.sh supports MMC block device (e.g. mmcblk0p1)
  * voyage-utils: init.d support APU2 profile and leds-apu2

 -- Punky Tse <punkytse@punknix-pluto>  Thu, 03 Jun 2016 18:23:34 +0800

voyage-util (0.16) unstable; urgency=medium

  * voyage-utils: change motd version to 0.10.0 
  * voyage-utils: prepare for jessie
  * voyage-utils: set hostname to voyage when install
  * voyage-utils: force create fs in format-cf.sh
  * 

 -- Punky Tse <punkytse@punknix-pluto>  Wed, 22 Apr 2015 22:46:11 +0800

voyage-util (0.15) unstable; urgency=medium

  * add AUTHORS COPYING INSTALL README
  * update copyright

 -- Punky Tse <punkytse@yahoo.com>  Tue, 10 Feb 2015 22:55:06 +0800

voyage-util (0.14-1) unstable; urgency=low

  * voyage-util: fix bash broken issue
  * voyage-util: add LEDs for APU
  * voyage-util: change motd version to 0.9.5

 -- Punky Tse <punkytse@yahoo.com>  Wed, 05 Feb 2014 16:57:26 +0800

voyage-util (0.13-1) unstable; urgency=low

  * voyage-util: chage motd version to 0.9.2
  * voyage-util: add APU installation profile
  * voyage-util: do not set error and quite in /etc/init.d/voyage-util
  * voyage-util: run remountro in last step in /etc/init.d/voyage-util start
  * voyage-util: remove w83627hf and leds-alix2 driver for ALIX profile as they are now obsoletted and/or replaced by others
  * voyage-util: fix multiple cards don't work in alsa_unmute
  * voyage-util: support passing TARGET_DISK in command line for autoinstall.sh
  * voyage-util: suppress alsa_unmute error if /proc/asound not found

 -- Punky Tse <punkytse@punknix-pluto>  Wed, 02 Oct 2013 16:00:16 +0800

voyage-util (0.12-4) unstable; urgency=low

  * voyage-util: use dpkg-reconfigure to regenerate host ssh keys
  * voyage-util: fix alsa_unmute() multiple cards don't work
  * voyage-util: remove w83627hf and leds-alix2 driver for ALIX profile as they are now obsoletted and/or replaced by others
  * voyage-util: add /lib/voyage-utils and run-parts when start
  * voyage-util: add rtc module to ALIX profile

 -- Punky Tse <punkytse@punknix-pluto>  Tue, 18 Jun 2013 22:34:37 +0800

voyage-util (0.12-3) unstable; urgency=low

  * voyage-util: fix autoinstall filesystem.squashfs not mounted

 -- Punky Tse <punkytse@punknix-pluto>  Fri, 10 May 2013 10:20:09 +0800

voyage-util (0.12-2) unstable; urgency=low

  * voyage-util: change /lib/init/rw to /tmp in voyage-rwfile.sh
  * voyage-util: fix lilo installation error
  * voyage-util: fix lilo delay to 2s
  * voyage-util: unmute alsa at start-up
  * voyage-util: 0001-voyage-installer-prep-to-change-ROOT_FS-label-to-VOY.patch (Jim Cromie)
  * voyage-util: 0002-voyage-install-set-ROOT_LBL-VOYAGE_FS.patch (Jim Cromie)
  * voyage-util: 0003-copyfiles.sh-add-sync-may-not-be-needed-useful.patch (Jim Cromie)
  * voyage-util: 0004-voyage-install-guess-target-disk-from-partition-labe.patch (Jim Cromie)

 -- Punky Tse <punkytse@punknix.com>  Wed, 24 Oct 2012 10:59:12 +0800

voyage-util (0.12-1) unstable; urgency=low

  * voyage-sync: skip sync at stop when running live cd
  * voyage-sync: detect /lib/init/rw (for squeeze) 
  * voyage-sync: change tmpfs to /tmp
  * voyage-util: change version to 0.9
  * voyage-util: [PATCH] debug: add debug.rc and demo script mydbg.sh (Jim Cromie)
  * voyage-util: [PATCH] voyage-install: allow "Select Target Profile" to keep current settings (Jim Cromie)

 -- Punky Tse <punkytse@punknix.com>  Tue, 17 Sep 2012 23:43:42 +0800

voyage-util (0.11-1) unstable; urgency=low

  * [PATCH] fix /etc/modprobe.d/$profile.conf writer (Jim Cromie)
  * [PATCH] Patch syslog info saved system time in voyage-sync (Teco Boot)
  * force tsc clocksource for ALIX

 -- Punky Tse <punkytse@punknix.com>  Wed, 23 Nov 2011 16:38:21 +0800

voyage-util (0.10-1) unstable; urgency=low
  
  * [PATCH 09/11] grub titles should have version, not date-of-install (Jim Cromie)
  * [PATCH 07/11] spelling (Jim Cromie)
  * [PATCH 06/11] voyage-update.sh: setspeed doesnt exist (Jim Cromie)
  * [PATCH 02/3] add BOOTARGS to grub and lilo configs (Jim Cromie)
  * [PATCH 01/11] teach installer to write /etc/modprobe.d/profile.conf (Jim Cromie)
  * Saving date with voyage-sync (Teco Boot)
  * change banner to version 0.8
  * add VOYAGE_SAVE_DATE_TIME in /etc/defaults/voyage-util
  * parallelize sync back to disk device
  * update /etc/hosts after copy files

 -- Punky Tse <punkytse@punknix.com>  Tue, 24 Aug 2011 00:57:49 +0800

voyage-util (0.9-1) unstable; urgency=low

  * use blkid since /lib/udev/vol_id no longer available in squeeze

 -- Punky Tse <punkytse@punknix.com>  Wed, 06 Apr 2011 23:04:35 +0800

voyage-util (0.8-2) unstable; urgency=low

  * [voyage-pxe] use tftpd-hpa instead of atftpd
  * [voyage-pxe] use bash instead of sh
  * [voyage-pxe] copy initrd.img and vmlinuz to /tftpboot

 -- Punky Tse <punkytse@punknix.com>  Thu, 15 Feb 2011 09:48:45 +0800

voyage-util (0.8-1) unstable; urgency=low

  * change voyage (motd) banner to version 0.7
  * [voyage-sync] write log to syslog

 -- Punky Tse <punkytse@punknix.com>  Thu, 11 Nov 2010 09:48:45 +0800

voyage-util (0.7-2) unstable; urgency=low

  * insserv compatible for init.d scripts
  * add debug info when setting bootloader
  * use bash in format-cf.sh
  * [voyage-sync] detect /ro before copying to rw
  * [voyage-sync] check sync dir before sync

 -- Punky Tse <punkytse@punknix.com>  Thu, 13 Jul 2010 09:48:45 +0800

voyage-util (0.7-1) unstable; urgency=low

  * new upstream release
  * better debhelper support for initscripts
  * reconfigure resolvconf at installation
  * fix profile and serial menu items without numbers
  * add new voyage-rwfile script to support /ro /rw style read-only mode
  * [voyage-sync] add empty directory checking 
  * [voyage-sync] fix .* hidden files not sync'ing
  * [voyage-sync] add VOYAGE_RW_DIRS for non-sync read-write directories


=== debian/control ===
Source: voyage-util
Section: main
Priority: optional
Maintainer: Punky Tse <punkytse@yahoo.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: voyage-util
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This debian package contains all useful scripts for installing 
 and configurating voyage linix distribution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#configure: configure-stamp
#configure-stamp:
#	dh_testdir
#	# Add here commands to configure the package.
#
#	touch configure-stamp


build: 

clean:
	dh_testdir
	dh_testroot
	#rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/voyage-util.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/voyage-util


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit -n -r -- "defaults 99"
	dh_installinit --no-start -r -- "defaults 99"
	dh_installinit --no-start --name=voyage-sync -o -r -- "start 36 S . start 36 0 6 ."
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
#.PHONY: build clean binary-indep binary-arch binary install configure
.PHONY: build clean binary-indep binary-arch binary install
